interactions:
- request:
    body: null
    headers:
      Accept:
      - '*/*'
      Accept-Encoding:
      - gzip, deflate, zstd
      Connection:
      - keep-alive
      Content-type:
      - application/json
      PRIVATE-TOKEN:
      - glpat-jXnX_of5cTzqPFrTit36
      User-Agent:
      - gitlabracadabra/2.7.1
    method: GET
    uri: https://gitlab.com/api/v4/projects/gitlabracadabra%2Ftest-pulp-manifest
  response:
    body:
      string: '{"id":69124752,"description":null,"name":"test-pulp-manifest","name_with_namespace":"GitLabracadabra
        / test-pulp-manifest","path":"test-pulp-manifest","path_with_namespace":"gitlabracadabra/test-pulp-manifest","created_at":"2025-04-20T06:46:27.562Z","default_branch":"main","tag_list":[],"topics":[],"ssh_url_to_repo":"git@gitlab.com:gitlabracadabra/test-pulp-manifest.git","http_url_to_repo":"https://gitlab.com/gitlabracadabra/test-pulp-manifest.git","web_url":"https://gitlab.com/gitlabracadabra/test-pulp-manifest","readme_url":"https://gitlab.com/gitlabracadabra/test-pulp-manifest/-/blob/main/README.md","forks_count":0,"avatar_url":null,"star_count":0,"last_activity_at":"2025-04-20T06:46:27.486Z","namespace":{"id":4754669,"name":"GitLabracadabra","path":"gitlabracadabra","kind":"group","full_path":"gitlabracadabra","parent_id":null,"avatar_url":null,"web_url":"https://gitlab.com/groups/gitlabracadabra"},"container_registry_image_prefix":"registry.gitlab.com/gitlabracadabra/test-pulp-manifest","_links":{"self":"https://gitlab.com/api/v4/projects/69124752","issues":"https://gitlab.com/api/v4/projects/69124752/issues","merge_requests":"https://gitlab.com/api/v4/projects/69124752/merge_requests","repo_branches":"https://gitlab.com/api/v4/projects/69124752/repository/branches","labels":"https://gitlab.com/api/v4/projects/69124752/labels","events":"https://gitlab.com/api/v4/projects/69124752/events","members":"https://gitlab.com/api/v4/projects/69124752/members","cluster_agents":"https://gitlab.com/api/v4/projects/69124752/cluster_agents"},"marked_for_deletion_at":null,"marked_for_deletion_on":null,"packages_enabled":true,"empty_repo":false,"archived":false,"visibility":"private","resolve_outdated_diff_discussions":false,"container_expiration_policy":{"cadence":"1d","enabled":false,"keep_n":10,"older_than":"90d","name_regex":".*","name_regex_keep":null,"next_run_at":"2025-04-21T06:46:27.581Z"},"repository_object_format":"sha1","issues_enabled":true,"merge_requests_enabled":true,"wiki_enabled":true,"jobs_enabled":true,"snippets_enabled":true,"container_registry_enabled":true,"service_desk_enabled":true,"service_desk_address":"contact-project+gitlabracadabra-test-pulp-manifest-69124752-issue-@incoming.gitlab.com","can_create_merge_request_in":true,"issues_access_level":"enabled","repository_access_level":"enabled","merge_requests_access_level":"enabled","forking_access_level":"enabled","wiki_access_level":"enabled","builds_access_level":"enabled","snippets_access_level":"enabled","pages_access_level":"private","analytics_access_level":"enabled","container_registry_access_level":"enabled","security_and_compliance_access_level":"private","releases_access_level":"enabled","environments_access_level":"enabled","feature_flags_access_level":"enabled","infrastructure_access_level":"enabled","monitor_access_level":"enabled","model_experiments_access_level":"enabled","model_registry_access_level":"enabled","emails_disabled":false,"emails_enabled":true,"shared_runners_enabled":true,"lfs_enabled":true,"creator_id":1238069,"import_url":null,"import_type":null,"import_status":"none","import_error":null,"open_issues_count":0,"description_html":"","updated_at":"2025-04-20T06:46:29.240Z","ci_default_git_depth":20,"ci_delete_pipelines_in_seconds":null,"ci_forward_deployment_enabled":true,"ci_forward_deployment_rollback_allowed":true,"ci_job_token_scope_enabled":false,"ci_separated_caches":true,"ci_allow_fork_pipelines_to_run_in_parent_project":true,"ci_id_token_sub_claim_components":["project_path","ref_type","ref"],"build_git_strategy":"fetch","keep_latest_artifact":true,"restrict_user_defined_variables":false,"ci_pipeline_variables_minimum_override_role":"developer","runner_token_expiration_interval":null,"group_runners_enabled":true,"auto_cancel_pending_pipelines":"enabled","build_timeout":3600,"auto_devops_enabled":false,"auto_devops_deploy_strategy":"continuous","ci_push_repository_for_job_token_allowed":false,"ci_config_path":"","public_jobs":true,"shared_with_groups":[],"only_allow_merge_if_pipeline_succeeds":false,"allow_merge_on_skipped_pipeline":null,"request_access_enabled":true,"only_allow_merge_if_all_discussions_are_resolved":false,"remove_source_branch_after_merge":true,"printing_merge_request_link_enabled":true,"merge_method":"merge","merge_request_title_regex":null,"squash_option":"default_off","enforce_auth_checks_on_uploads":true,"suggestion_commit_message":null,"merge_commit_template":null,"squash_commit_template":null,"issue_branch_template":null,"warn_about_potentially_unwanted_characters":true,"autoclose_referenced_issues":true,"max_artifacts_size":null,"approvals_before_merge":0,"mirror":false,"external_authorization_classification_label":"","requirements_enabled":true,"requirements_access_level":"enabled","security_and_compliance_enabled":true,"secret_push_protection_enabled":false,"pre_receive_secret_detection_enabled":false,"compliance_frameworks":[],"issues_template":null,"merge_requests_template":null,"ci_restrict_pipeline_cancellation_role":"developer","merge_pipelines_enabled":false,"merge_trains_enabled":false,"merge_trains_skip_train_allowed":false,"only_allow_merge_if_all_status_checks_passed":false,"allow_pipeline_trigger_approve_deployment":false,"prevent_merge_without_jira_issue":false,"permissions":{"project_access":{"access_level":50,"notification_level":3},"group_access":null}}'
    headers:
      CF-Cache-Status:
      - MISS
      CF-Ray:
      - 9347a7b279fe9eb1-CDG
      Cache-Control:
      - max-age=0, private, must-revalidate
      Connection:
      - keep-alive
      Content-Type:
      - application/json
      Date:
      - Tue, 22 Apr 2025 19:51:18 GMT
      ETag:
      - W/"ae5dba8def9470cd01b4467e84d6b7b6"
      Server:
      - cloudflare
      Set-Cookie:
      - _cfuvid=lAQQpqqwx.K59lMOdCXJBnuPvTX2872BirqqLrZe1cA-1745351478652-0.0.1.1-604800000;
        path=/; domain=.gitlab.com; HttpOnly; Secure; SameSite=None
      Strict-Transport-Security:
      - max-age=31536000
      Transfer-Encoding:
      - chunked
      Vary:
      - Origin, Accept-Encoding
      content-length:
      - '5392'
      content-security-policy:
      - default-src 'none'
      gitlab-lb:
      - haproxy-main-48-lb-gprd
      gitlab-sv:
      - api-gke-us-east1-d
      nel:
      - '{"max_age": 0}'
      referrer-policy:
      - strict-origin-when-cross-origin
      x-content-type-options:
      - nosniff
      x-frame-options:
      - SAMEORIGIN
      x-gitlab-meta:
      - '{"correlation_id":"2dffd29c18963c7b0b67cf1935bcda34","version":"1"}'
      x-request-id:
      - 2dffd29c18963c7b0b67cf1935bcda34
      x-runtime:
      - '0.141299'
    status:
      code: 200
      message: OK
- request:
    body: null
    headers:
      Accept:
      - '*/*'
      Accept-Encoding:
      - gzip, deflate, zstd
      Authorization:
      - Basic cGVyc29uYWwtYWNjZXNzLXRva2VuOmdscGF0LWpYblhfb2Y1Y1R6cVBGclRpdDM2
      Connection:
      - keep-alive
      User-Agent:
      - gitlabracadabra/2.7.1
    method: GET
    uri: https://gitlab.com/api/v4/projects/gitlabracadabra%2Ftest-pulp-manifest/packages/generic/fwupd/0/PULP_MANIFEST
  response:
    body:
      string: 'firmware-07912-stable.xml.gz,changed-checksum,860788

        firmware-07913-stable.xml.gz,e9b6e7691043a088422bdf133b06bdfd5659bbf38db5ca06563c00e968107b46,860753

        firmware-07914-stable.xml.gz,2d5ad0c50691dc84f47d75b7bc46413e657240f6e6de4d26b8e1f9748c336142,861127

        firmware-07912-stable.xml.xz,40f44c145209b12841976eb5d0c831eb0e4a95c239387daefbafbd1a181fa8f3,1324344

        fff9dcc81c2f555d57d884ceaa56461038adf0ae76fa7e1c298cbd325b94a8fa-firmware.cab,fff9dcc81c2f555d57d884ceaa56461038adf0ae76fa7e1c298cbd325b94a8fa,27106034

        '
    headers:
      Accept-Ranges:
      - bytes
      CF-Cache-Status:
      - MISS
      CF-Ray:
      - 9347a7b83d5bd64a-CDG
      Cache-Control:
      - max-age=0, private, must-revalidate
      Connection:
      - keep-alive
      Content-Disposition:
      - attachment; filename="PULP_MANIFEST"; filename*=UTF-8''PULP_MANIFEST
      Content-Length:
      - '2262916'
      Content-Type:
      - application/octet-stream
      Date:
      - Tue, 22 Apr 2025 19:51:19 GMT
      ETag:
      - '"43c40e0712645fabd4f42e5da772659b"'
      Last-Modified:
      - Tue, 22 Apr 2025 19:43:45 GMT
      Server:
      - cloudflare
      Set-Cookie:
      - _cfuvid=TyomYyECU0WnCFQXrtwMcOtO5MxwAA_R13iuSJfRjfI-1745351479389-0.0.1.1-604800000;
        path=/; domain=.gitlab.com; HttpOnly; Secure; SameSite=None
      Strict-Transport-Security:
      - max-age=31536000
      Vary:
      - Origin, Accept-Encoding
      content-security-policy:
      - default-src 'none'
      gitlab-lb:
      - haproxy-main-41-lb-gprd
      gitlab-sv:
      - api-gke-us-east1-c
      nel:
      - '{"max_age": 0}'
      referrer-policy:
      - strict-origin-when-cross-origin
      x-content-type-options:
      - nosniff
      x-frame-options:
      - SAMEORIGIN
      x-gitlab-meta:
      - '{"correlation_id":"5d7236f6fa0bcd3bcf685e49e4991bd6","version":"1"}'
      x-goog-generation:
      - '1745351025408291'
      x-goog-hash:
      - crc32c=CE3XjQ==
      - md5=Q8QOBxJkX6vU9C5dp3Jlmw==
      x-goog-metageneration:
      - '1'
      x-goog-storage-class:
      - STANDARD
      x-goog-stored-content-encoding:
      - identity
      x-goog-stored-content-length:
      - '2262916'
      x-guploader-uploadid:
      - AAO2Vwp2KfsVXVXvXztfdlTCZqcNstObyCMqs5j3yapB6g1_Y_pDC53ihm3vZTN2ZqJHxxCn86KAUZ4
      x-request-id:
      - 5d7236f6fa0bcd3bcf685e49e4991bd6
      x-runtime:
      - '0.083212'
    status:
      code: 200
      message: OK
- request:
    body: null
    headers:
      Accept:
      - '*/*'
      Accept-Encoding:
      - gzip, deflate, zstd
      Connection:
      - keep-alive
      User-Agent:
      - gitlabracadabra/2.7.1
    method: GET
    uri: https://fwupd.org/downloads/PULP_MANIFEST
  response:
    body:
      string: 'firmware-07912-stable.xml.gz,6f907c729302051798ef63fa01eab48f1961cf8a6a9a545a1748446e1bb98505,860788

        firmware-07913-stable.xml.gz,e9b6e7691043a088422bdf133b06bdfd5659bbf38db5ca06563c00e968107b46,860753

        firmware-07914-stable.xml.gz,2d5ad0c50691dc84f47d75b7bc46413e657240f6e6de4d26b8e1f9748c336142,861127

        firmware.xml.gz.jcat,bf3eb16d8f648693b124f0bc5c007e4137f89c32943f3bab3ac1d699691dcdeb,2235

        firmware-07912-stable.xml.xz,40f44c145209b12841976eb5d0c831eb0e4a95c239387daefbafbd1a181fa8f3,1324344

        fff9dcc81c2f555d57d884ceaa56461038adf0ae76fa7e1c298cbd325b94a8fa-firmware.cab,fff9dcc81c2f555d57d884ceaa56461038adf0ae76fa7e1c298cbd325b94a8fa,27106034

        '
    headers:
      Cache-Control:
      - public, max-age=14400
      Connection:
      - keep-alive
      Content-Disposition:
      - attachment; filename=PULP_MANIFEST
      Content-Length:
      - '2263055'
      Content-Type:
      - text/plain
      Date:
      - Tue, 22 Apr 2025 19:51:20 GMT
      Server:
      - gunicorn
    status:
      code: 200
      message: OK
- request:
    body: null
    headers:
      Accept:
      - '*/*'
      Accept-Encoding:
      - gzip, deflate, zstd
      Connection:
      - keep-alive
      Content-type:
      - application/json
      Cookie:
      - _cfuvid=lAQQpqqwx.K59lMOdCXJBnuPvTX2872BirqqLrZe1cA-1745351478652-0.0.1.1-604800000
      PRIVATE-TOKEN:
      - glpat-jXnX_of5cTzqPFrTit36
      User-Agent:
      - gitlabracadabra/2.7.1
    method: GET
    uri: https://gitlab.com/api/v4/projects/gitlabracadabra%2Ftest-pulp-manifest/packages?package_type=generic&package_name=fwupd&package_version=0
  response:
    body:
      string: '[{"id":38039181,"name":"fwupd","version":"0","package_type":"generic","status":"default","_links":{"web_path":"/gitlabracadabra/test-pulp-manifest/-/packages/38039181","delete_api_path":"https://gitlab.com/api/v4/projects/69124752/packages/38039181"},"created_at":"2025-04-22T19:43:45.624Z","last_downloaded_at":"2025-04-22T19:51:19.247Z","tags":[]}]'
    headers:
      CF-Cache-Status:
      - MISS
      CF-Ray:
      - 9347a85fcb8a03ef-CDG
      Cache-Control:
      - max-age=0, private, must-revalidate
      Connection:
      - keep-alive
      Content-Type:
      - application/json
      Date:
      - Tue, 22 Apr 2025 19:51:46 GMT
      ETag:
      - W/"e6ed0f56575b7fd08de3b6996a5ae5be"
      Link:
      - <https://gitlab.com/api/v4/projects/gitlabracadabra%2Ftest-pulp-manifest/packages?id=gitlabracadabra%2Ftest-pulp-manifest&order_by=created_at&package_name=fwupd&package_type=generic&package_version=0&page=1&per_page=20&sort=asc>;
        rel="first", <https://gitlab.com/api/v4/projects/gitlabracadabra%2Ftest-pulp-manifest/packages?id=gitlabracadabra%2Ftest-pulp-manifest&order_by=created_at&package_name=fwupd&package_type=generic&package_version=0&page=1&per_page=20&sort=asc>;
        rel="last"
      Server:
      - cloudflare
      Strict-Transport-Security:
      - max-age=31536000
      Transfer-Encoding:
      - chunked
      Vary:
      - Origin, Accept-Encoding
      content-length:
      - '350'
      content-security-policy:
      - default-src 'none'
      gitlab-lb:
      - haproxy-main-44-lb-gprd
      gitlab-sv:
      - api-gke-us-east1-c
      nel:
      - '{"max_age": 0}'
      referrer-policy:
      - strict-origin-when-cross-origin
      x-content-type-options:
      - nosniff
      x-frame-options:
      - SAMEORIGIN
      x-gitlab-meta:
      - '{"correlation_id":"6e1257bc2c94cd7d08e86e08e741f765","version":"1"}'
      x-next-page:
      - ''
      x-page:
      - '1'
      x-per-page:
      - '20'
      x-prev-page:
      - ''
      x-request-id:
      - 6e1257bc2c94cd7d08e86e08e741f765
      x-runtime:
      - '0.144751'
      x-total:
      - '1'
      x-total-pages:
      - '1'
    status:
      code: 200
      message: OK
- request:
    body: null
    headers:
      Accept:
      - '*/*'
      Accept-Encoding:
      - gzip, deflate, zstd
      Connection:
      - keep-alive
      Content-type:
      - application/json
      Cookie:
      - _cfuvid=lAQQpqqwx.K59lMOdCXJBnuPvTX2872BirqqLrZe1cA-1745351478652-0.0.1.1-604800000
      PRIVATE-TOKEN:
      - glpat-jXnX_of5cTzqPFrTit36
      User-Agent:
      - gitlabracadabra/2.7.1
    method: GET
    uri: https://gitlab.com/api/v4/projects/gitlabracadabra%2Ftest-pulp-manifest/packages/38039181/package_files
  response:
    body:
      string: '[{"id":188573638,"package_id":38039181,"created_at":"2025-04-22T19:43:45.696Z","file_name":"PULP_MANIFEST","size":2262916,"file_md5":null,"file_sha1":null,"file_sha256":"a5dadbc525b6cf5331e7fe37dfafbd16302fa3bf04145ee57f2759d891e80b05"},{"id":188573644,"package_id":38039181,"created_at":"2025-04-22T19:43:49.501Z","file_name":"firmware-07912-stable.xml.gz","size":0,"file_md5":null,"file_sha1":null,"file_sha256":"e3b0c44298fc1c149afbf4c8996fb92427ae41e4649b934ca495991b7852b855"}]'
    headers:
      CF-Cache-Status:
      - MISS
      CF-Ray:
      - 9347a862293fd0b3-CDG
      Cache-Control:
      - max-age=0, private, must-revalidate
      Connection:
      - keep-alive
      Content-Type:
      - application/json
      Date:
      - Tue, 22 Apr 2025 19:51:46 GMT
      ETag:
      - W/"cb4a6f8fe7d8cbc55eaf99dcb0334bde"
      Link:
      - <https://gitlab.com/api/v4/projects/gitlabracadabra%2Ftest-pulp-manifest/packages/38039181/package_files?id=gitlabracadabra%2Ftest-pulp-manifest&order_by=id&package_id=38039181&page=1&per_page=20&sort=asc>;
        rel="first", <https://gitlab.com/api/v4/projects/gitlabracadabra%2Ftest-pulp-manifest/packages/38039181/package_files?id=gitlabracadabra%2Ftest-pulp-manifest&order_by=id&package_id=38039181&page=1&per_page=20&sort=asc>;
        rel="last"
      Server:
      - cloudflare
      Strict-Transport-Security:
      - max-age=31536000
      Transfer-Encoding:
      - chunked
      Vary:
      - Origin, Accept-Encoding
      content-length:
      - '482'
      content-security-policy:
      - default-src 'none'
      gitlab-lb:
      - haproxy-main-05-lb-gprd
      gitlab-sv:
      - api-gke-us-east1-c
      nel:
      - '{"max_age": 0}'
      referrer-policy:
      - strict-origin-when-cross-origin
      x-content-type-options:
      - nosniff
      x-frame-options:
      - SAMEORIGIN
      x-gitlab-meta:
      - '{"correlation_id":"ef7ec39cedf8d53f7500074876c47e06","version":"1"}'
      x-next-page:
      - ''
      x-page:
      - '1'
      x-per-page:
      - '20'
      x-prev-page:
      - ''
      x-request-id:
      - ef7ec39cedf8d53f7500074876c47e06
      x-runtime:
      - '0.094150'
      x-total:
      - '2'
      x-total-pages:
      - '1'
    status:
      code: 200
      message: OK
- request:
    body: null
    headers:
      Accept:
      - '*/*'
      Accept-Encoding:
      - '*'
      Connection:
      - keep-alive
      User-Agent:
      - gitlabracadabra/2.7.1
    method: GET
    uri: https://fwupd.org/downloads/firmware-07912-stable.xml.gz
  response:
    body:
      string: !!binary |
        H4sIAFobB2gC/+y9WXcbx5It/P79ilp66e6vu6CcBy8f3SVRkq22pivK9nnjylFCmwR4AFBDr/Pj
        744CQBEUOBQAUrYOLVsGiUJlVCIz9t6ZkRE//p9PR4fNhzKZDsejv/0bH7B/a8oojfNw9O5v/3Yy
        YjqWRanLTtJUiDmwTZvwiC//mP/H/w/ZXRGeIKJnAA==
    headers:
      Cache-Control:
      - public, max-age=14400
      Connection:
      - keep-alive
      Content-Disposition:
      - attachment; filename=firmware-07912-stable.xml.gz
      Content-Length:
      - '860788'
      Content-Type:
      - application/gzip
      Date:
      - Tue, 22 Apr 2025 19:51:47 GMT
      Server:
      - gunicorn
    status:
      code: 200
      message: OK
- request:
    body: !!python/object/new:_io.BytesIO
      state: !!python/tuple
      - !!binary |
        H4sIAFobB2gC/+y9WXcbx5It/P79ilp66e6vu6CcBy8f3SVRkq22pivK9nnjylFCmwR4AFBDr/Pj
        744CQBEUOBQAUrYOLVsGiUJlVCIz9t6ZkRE//p9PR4fNhzKZDsejv/0bH7B/a8oojfNw9O5v/3Yy
        YjqWRanLTtJUiDmwTZvwiC//mP/H/w/ZXRGeIKJnAA==
      - 0
      - null
    headers:
      Accept:
      - '*/*'
      Accept-Encoding:
      - gzip, deflate, zstd
      Authorization:
      - Basic cGVyc29uYWwtYWNjZXNzLXRva2VuOmdscGF0LWpYblhfb2Y1Y1R6cVBGclRpdDM2
      Connection:
      - keep-alive
      Content-Length:
      - '860788'
      Cookie:
      - _cfuvid=TyomYyECU0WnCFQXrtwMcOtO5MxwAA_R13iuSJfRjfI-1745351479389-0.0.1.1-604800000
      User-Agent:
      - gitlabracadabra/2.7.1
    method: PUT
    uri: https://gitlab.com/api/v4/projects/gitlabracadabra%2Ftest-pulp-manifest/packages/generic/fwupd/0/firmware-07912-stable.xml.gz
  response:
    body:
      string: '{"message":"201 Created"}'
    headers:
      CF-Cache-Status:
      - DYNAMIC
      CF-Ray:
      - 9347a874cbe56f1b-CDG
      Cache-Control:
      - max-age=0, private, must-revalidate
      Connection:
      - keep-alive
      Content-Length:
      - '25'
      Content-Type:
      - application/json
      Date:
      - Tue, 22 Apr 2025 19:51:50 GMT
      ETag:
      - W/"6025f9a740871d09d0230776e3dbc7bf"
      Server:
      - cloudflare
      Strict-Transport-Security:
      - max-age=31536000
      Vary:
      - Origin, Accept-Encoding
      content-security-policy:
      - default-src 'none'
      gitlab-lb:
      - haproxy-main-22-lb-gprd
      gitlab-sv:
      - api-gke-us-east1-b
      nel:
      - '{"max_age": 0}'
      referrer-policy:
      - strict-origin-when-cross-origin
      x-content-type-options:
      - nosniff
      x-frame-options:
      - SAMEORIGIN
      x-gitlab-meta:
      - '{"correlation_id":"efa2f0c177e312a1b802f3ca7a5db019","version":"1"}'
      x-request-id:
      - efa2f0c177e312a1b802f3ca7a5db019
      x-runtime:
      - '0.162782'
    status:
      code: 201
      message: Created
- request:
    body: null
    headers:
      Accept:
      - '*/*'
      Accept-Encoding:
      - '*'
      Connection:
      - keep-alive
      User-Agent:
      - gitlabracadabra/2.7.1
    method: GET
    uri: https://fwupd.org/downloads/firmware.xml.gz.jcat
  response:
    body:
      string: !!binary |
        H4sIAB2MB2gC/6VWydKjyBF+lY6+MmP2RY6YQwHFJkAgBAgsH9jFVkhCAsHEvLv5/+6ZmB77YltL
        xAwAAElIQVRFQ0RO
    headers:
      Cache-Control:
      - public, max-age=14400
      Connection:
      - keep-alive
      Content-Disposition:
      - attachment; filename=firmware.xml.gz.jcat
      Content-Length:
      - '2235'
      Content-Type:
      - application/octet-stream
      Date:
      - Tue, 22 Apr 2025 19:51:51 GMT
      Server:
      - gunicorn
    status:
      code: 200
      message: OK
- request:
    body: !!python/object/new:_io.BytesIO
      state: !!python/tuple
      - !!binary |
        H4sIAB2MB2gC/6VWydKjyBF+lY6+MmP2RY6YQwHFJkAgBAgsH9jFVkhCAsHEvLv5/+6ZmB77YltL
        xAwAAElIQVRFQ0RO
      - 0
      - null
    headers:
      Accept:
      - '*/*'
      Accept-Encoding:
      - gzip, deflate, zstd
      Authorization:
      - Basic cGVyc29uYWwtYWNjZXNzLXRva2VuOmdscGF0LWpYblhfb2Y1Y1R6cVBGclRpdDM2
      Connection:
      - keep-alive
      Content-Length:
      - '2235'
      Cookie:
      - _cfuvid=TyomYyECU0WnCFQXrtwMcOtO5MxwAA_R13iuSJfRjfI-1745351479389-0.0.1.1-604800000
      User-Agent:
      - gitlabracadabra/2.7.1
    method: PUT
    uri: https://gitlab.com/api/v4/projects/gitlabracadabra%2Ftest-pulp-manifest/packages/generic/fwupd/0/firmware.xml.gz.jcat
  response:
    body:
      string: '{"message":"201 Created"}'
    headers:
      CF-Cache-Status:
      - DYNAMIC
      CF-Ray:
      - 9347a8842e232a7f-CDG
      Cache-Control:
      - max-age=0, private, must-revalidate
      Connection:
      - keep-alive
      Content-Length:
      - '25'
      Content-Type:
      - application/json
      Date:
      - Tue, 22 Apr 2025 19:51:52 GMT
      ETag:
      - W/"6025f9a740871d09d0230776e3dbc7bf"
      Server:
      - cloudflare
      Strict-Transport-Security:
      - max-age=31536000
      Vary:
      - Origin, Accept-Encoding
      content-security-policy:
      - default-src 'none'
      gitlab-lb:
      - haproxy-main-22-lb-gprd
      gitlab-sv:
      - api-gke-us-east1-b
      nel:
      - '{"max_age": 0}'
      referrer-policy:
      - strict-origin-when-cross-origin
      x-content-type-options:
      - nosniff
      x-frame-options:
      - SAMEORIGIN
      x-gitlab-meta:
      - '{"correlation_id":"d650fd9b2e7453fa3c0a3547ba8a0344","version":"1"}'
      x-request-id:
      - d650fd9b2e7453fa3c0a3547ba8a0344
      x-runtime:
      - '0.132516'
    status:
      code: 201
      message: Created
- request:
    body: null
    headers:
      Accept:
      - '*/*'
      Accept-Encoding:
      - '*'
      Connection:
      - keep-alive
      User-Agent:
      - gitlabracadabra/2.7.1
    method: GET
    uri: https://fwupd.org/downloads/PULP_MANIFEST
  response:
    body:
      string: 'firmware-07912-stable.xml.gz,6f907c729302051798ef63fa01eab48f1961cf8a6a9a545a1748446e1bb98505,860788

        firmware-07913-stable.xml.gz,e9b6e7691043a088422bdf133b06bdfd5659bbf38db5ca06563c00e968107b46,860753

        fff9dcc81c2f555d57d884ceaa56461038adf0ae76fa7e1c298cbd325b94a8fa-firmware.cab,fff9dcc81c2f555d57d884ceaa56461038adf0ae76fa7e1c298cbd325b94a8fa,27106034

        '
    headers:
      Cache-Control:
      - public, max-age=14400
      Connection:
      - keep-alive
      Content-Disposition:
      - attachment; filename=PULP_MANIFEST
      Content-Length:
      - '2263055'
      Content-Type:
      - text/plain
      Date:
      - Tue, 22 Apr 2025 19:51:53 GMT
      Server:
      - gunicorn
    status:
      code: 200
      message: OK
- request:
    body: !!python/object/new:_io.BytesIO
      state: !!python/tuple
      - !!binary |
        ZmlybXdhcmUtMDc5MTItc3RhYmxlLnhtbC5neiw2ZjkwN2M3MjkzMDIwNTE3OThlZjYzZmEwMWVh
        YjQ4ZjE5NjFjZjhhNmE5YTU0NWExNzQ4NDQ2ZTFiYjk4NTA1LDg2MDc4OApmaXJtd2FyZS0wNzkx
        My1zdGFibGUueG1sLmd6LGU5YjZlNzY5MTA0M2EwODg0MjJiZGYxMzNiMDZiZGZkNTY1OWJiZjM4
        ZGI1Y2EwNjU2M2MwMGU5NjgxMDdiNDYsODYwNzUzCmZmZjlkY2M4MWMyZjU1NWQ1N2Q4ODRjZWFh
        NTY0NjEwMzhhZGYwYWU3NmZhN2UxYzI5OGNiZDMyNWI5NGE4ZmEtZmlybXdhcmUuY2FiLGZmZjlk
        Y2M4MWMyZjU1NWQ1N2Q4ODRjZWFhNTY0NjEwMzhhZGYwYWU3NmZhN2UxYzI5OGNiZDMyNWI5NGE4
        ZmEsMjcxMDYwMzQK
      - 0
      - null
    headers:
      Accept:
      - '*/*'
      Accept-Encoding:
      - gzip, deflate, zstd
      Authorization:
      - Basic cGVyc29uYWwtYWNjZXNzLXRva2VuOmdscGF0LWpYblhfb2Y1Y1R6cVBGclRpdDM2
      Connection:
      - keep-alive
      Content-Length:
      - '2263055'
      Cookie:
      - _cfuvid=TyomYyECU0WnCFQXrtwMcOtO5MxwAA_R13iuSJfRjfI-1745351479389-0.0.1.1-604800000
      User-Agent:
      - gitlabracadabra/2.7.1
    method: PUT
    uri: https://gitlab.com/api/v4/projects/gitlabracadabra%2Ftest-pulp-manifest/packages/generic/fwupd/0/PULP_MANIFEST
  response:
    body:
      string: '{"message":"201 Created"}'
    headers:
      CF-Cache-Status:
      - DYNAMIC
      CF-Ray:
      - 9347a89c9b04048a-CDG
      Cache-Control:
      - max-age=0, private, must-revalidate
      Connection:
      - keep-alive
      Content-Length:
      - '25'
      Content-Type:
      - application/json
      Date:
      - Tue, 22 Apr 2025 19:51:57 GMT
      ETag:
      - W/"6025f9a740871d09d0230776e3dbc7bf"
      Server:
      - cloudflare
      Strict-Transport-Security:
      - max-age=31536000
      Vary:
      - Origin, Accept-Encoding
      content-security-policy:
      - default-src 'none'
      gitlab-lb:
      - haproxy-main-25-lb-gprd
      gitlab-sv:
      - api-gke-us-east1-b
      nel:
      - '{"max_age": 0}'
      referrer-policy:
      - strict-origin-when-cross-origin
      x-content-type-options:
      - nosniff
      x-frame-options:
      - SAMEORIGIN
      x-gitlab-meta:
      - '{"correlation_id":"ce6441d7e0e8fc5de44bdc374e74dd57","version":"1"}'
      x-request-id:
      - ce6441d7e0e8fc5de44bdc374e74dd57
      x-runtime:
      - '0.184914'
    status:
      code: 201
      message: Created
- request:
    body: null
    headers:
      Accept:
      - '*/*'
      Accept-Encoding:
      - gzip, deflate, zstd
      Connection:
      - keep-alive
      Content-Length:
      - '0'
      Content-type:
      - application/json
      Cookie:
      - _cfuvid=lAQQpqqwx.K59lMOdCXJBnuPvTX2872BirqqLrZe1cA-1745351478652-0.0.1.1-604800000
      PRIVATE-TOKEN:
      - glpat-jXnX_of5cTzqPFrTit36
      User-Agent:
      - gitlabracadabra/2.7.1
    method: DELETE
    uri: https://gitlab.com/api/v4/projects/gitlabracadabra%2Ftest-pulp-manifest/packages/38039181/package_files/188573644
  response:
    body:
      string: ''
    headers:
      CF-Cache-Status:
      - DYNAMIC
      CF-Ray:
      - 9347a8a6afcfd0a7-CDG
      Cache-Control:
      - no-cache
      Connection:
      - keep-alive
      Date:
      - Tue, 22 Apr 2025 19:51:57 GMT
      Server:
      - cloudflare
      Strict-Transport-Security:
      - max-age=31536000
      Vary:
      - Origin, Accept-Encoding
      content-security-policy:
      - default-src 'none'
      gitlab-lb:
      - haproxy-main-42-lb-gprd
      gitlab-sv:
      - api-gke-us-east1-d
      nel:
      - '{"max_age": 0}'
      referrer-policy:
      - strict-origin-when-cross-origin
      x-content-type-options:
      - nosniff
      x-frame-options:
      - SAMEORIGIN
      x-gitlab-meta:
      - '{"correlation_id":"d56559a38e7a5b85c2a9fe7ea3021e9b","version":"1"}'
      x-request-id:
      - d56559a38e7a5b85c2a9fe7ea3021e9b
      x-runtime:
      - '0.145719'
    status:
      code: 204
      message: No Content
- request:
    body: null
    headers:
      Accept:
      - '*/*'
      Accept-Encoding:
      - gzip, deflate, zstd
      Connection:
      - keep-alive
      Content-Length:
      - '0'
      Content-type:
      - application/json
      Cookie:
      - _cfuvid=lAQQpqqwx.K59lMOdCXJBnuPvTX2872BirqqLrZe1cA-1745351478652-0.0.1.1-604800000
      PRIVATE-TOKEN:
      - glpat-jXnX_of5cTzqPFrTit36
      User-Agent:
      - gitlabracadabra/2.7.1
    method: DELETE
    uri: https://gitlab.com/api/v4/projects/gitlabracadabra%2Ftest-pulp-manifest/packages/38039181/package_files/188573638
  response:
    body:
      string: ''
    headers:
      CF-Cache-Status:
      - DYNAMIC
      CF-Ray:
      - 9347a8a94a98d155-CDG
      Cache-Control:
      - no-cache
      Connection:
      - keep-alive
      Date:
      - Tue, 22 Apr 2025 19:51:57 GMT
      Server:
      - cloudflare
      Strict-Transport-Security:
      - max-age=31536000
      Vary:
      - Origin, Accept-Encoding
      content-security-policy:
      - default-src 'none'
      gitlab-lb:
      - haproxy-main-41-lb-gprd
      gitlab-sv:
      - api-gke-us-east1-c
      nel:
      - '{"max_age": 0}'
      referrer-policy:
      - strict-origin-when-cross-origin
      x-content-type-options:
      - nosniff
      x-frame-options:
      - SAMEORIGIN
      x-gitlab-meta:
      - '{"correlation_id":"4624f55e66084626ce6d26525ad2c9a2","version":"1"}'
      x-request-id:
      - 4624f55e66084626ce6d26525ad2c9a2
      x-runtime:
      - '0.118991'
    status:
      code: 204
      message: No Content
version: 1
